/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.sun.ts.tests.jsf.spec.render.grid;

import javax.faces.application.Application;
import javax.faces.component.html.HtmlColumn;
import javax.faces.component.html.HtmlOutputText;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.context.FacesContext;

public class GridUIBean {

    private HtmlPanelGrid gps;

    public GridUIBean() {

    }

    public HtmlPanelGrid getGps() {
        return gps;
    }

    public void setGps(HtmlPanelGrid hpg) {
        this.gps = hpg;
        gps.setId("coordinates");
        gps.setTitle("coordinates");
        gps.setColumns(2);
        gps.setColumnClasses("odd,even");
        
        gps.getChildren().add(genColumn("North-Long", 3));
        gps.getChildren().add(genColumn("East-Lat", 7));
    }

    private HtmlColumn genColumn(String id, int coor) {
        Application application =
                FacesContext.getCurrentInstance().getApplication();
        HtmlColumn column =
                (HtmlColumn) application.createComponent(
                HtmlColumn.COMPONENT_TYPE);
        HtmlOutputText header =
                (HtmlOutputText) application.createComponent(
                HtmlOutputText.COMPONENT_TYPE);

        column.setId(id);
        header.setValue(coor);
        column.getChildren().add(header);

        return column;
    }
}
